package com.ecep.contract.controller.customer;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.ecep.contract.MessageHolder;
import com.ecep.contract.WebSocketClientTasker;
import com.ecep.contract.task.Tasker;
import com.ecep.contract.vo.CompanyCustomerVo;

import lombok.Setter;

public class CompanyCustomerNextSignDateTask extends Tasker<Object> implements WebSocketClientTasker {
    private static final Logger logger = LoggerFactory.getLogger(CompanyCustomerNextSignDateTask.class);

    @Setter
    private CompanyCustomerVo customer;

    @Override
    public String getTaskName() {
        return getClass().getSimpleName();
    }

    @Override
    public void updateProgress(long current, long total) {
        super.updateProgress(current, total);
    }

    @Override
    protected Object execute(MessageHolder holder) throws Exception {
        updateTitle("计算客户下一个评价日期");
        return callRemoteTask(holder, getLocale(), customer.getId());
    }
}